## GnomeDbDataCellRendererBoolean

GnomeDbDataCellRendererBoolean — Cell renderer for booleans

##

# Synopsis

    struct      GnomeDbDataCellRendererBoolean;
    struct      GnomeDbDataCellRendererBooleanClass;
    struct      GnomeDbDataCellRendererBooleanPrivate;
    GtkCellRenderer* gnome_db_data_cell_renderer_boolean_new
                                                (GdaDataHandler *dh,
                                                 GType type);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererToggle
                               +----GnomeDbDataCellRendererBoolean

## Properties

      "data-handler"         GdaDataHandler       : Write / Construct Only
      "editable"             gboolean             : Read / Write
      "to-be-deleted"        gboolean             : Write
      "type"                 GType                : Write / Construct Only
      "value"                GValue               : Read / Write
      "value-attributes"     GdaValueAttribute    : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbDataCellRendererBoolean *dbdatacellrendererboolean,
                                                gchar *arg1,
                                                GValue *arg2,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbDataCellRendererBoolean

    struct GnomeDbDataCellRendererBoolean;

### struct GnomeDbDataCellRendererBooleanClass

    struct GnomeDbDataCellRendererBooleanClass {

    	GtkCellRendererToggleClass  parent_class;

    	void (* changed) (GnomeDbDataCellRendererBoolean *cell_renderer,
    			  const gchar               *path,
    			  const GValue            *new_value);
    };

### struct GnomeDbDataCellRendererBooleanPrivate

    struct GnomeDbDataCellRendererBooleanPrivate;

### gnome_db_data_cell_renderer_boolean_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_boolean_new
                                                (GdaDataHandler *dh,
                                                 GType type);

Creates a new GnomeDbDataCellRendererBoolean. Adjust rendering parameters using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

`dh` : | a GdaDataHandler object
`type` : |
Returns : | the new cell renderer

## Properties

"`data-handler`" (GdaDataHandler : Write / Construct Only) |
"`editable`" (gboolean : Read / Write) | The toggle button can be activated.
"`to-be-deleted`" (gboolean : Write) |
"`type`" (GType : Write / Construct Only) |
"`value`" (GValue : Read / Write) | GValue to render.
"`value-attributes`" (GdaValueAttribute : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbDataCellRendererBoolean *dbdatacellrendererboolean,
                                                gchar *arg1,
                                                GValue *arg2,
                                                gpointer user_data);

`dbdatacellrendererboolean` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.